picocli

## Class CommandLine.PicocliException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CommandLine.ExecutionException, CommandLine.InitializationException, CommandLine.ParameterException, CommandLine.TypeConversionException

Enclosing class:
  CommandLine

    public static class CommandLine.PicocliException
    extends RuntimeException

Base class of all exceptions thrown by `picocli.CommandLine`.

## Class Diagram of the Picocli Exceptions

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PicocliException(String msg)`
`PicocliException(String msg, Throwable t)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PicocliException

    public PicocliException(String msg)

#### PicocliException

    public PicocliException(String msg,
                            Throwable t)